Subject: bug#10167: 23.3; python.el code execution does not add the buffers directory to the pythonpath.

From: Arne Babenhauserheide <[email-masked]>
Date: Sun, 11 Dec 2011 20:57:21 +0100

Am Freitag, 9. Dezember 2011, 15:24:07 schrieb Glenn Morris:
> Arne Babenhauserheide wrote:
> > When calling python-send-buffer, the behaviour of the code differs
> > from actual code execution, because the parent directory of the file is
> > not in the PYTHONPATH.
> 
> I think this might be intentional?
> 
> http://lists.gnu.org/archive/html/emacs-devel/2008-09/msg00215.html

That’s quite inconvenient… would it not be cleaner to remove "" before 
importing emacs.py and add the buffer dir afterwards? 

For anything which is not emacs.py it is clear that it will be run. 
Alternatively add a new command which adds the buffer-dir - as I did for 
python-send-buffer.

(my changes would be cleaner by the way if I removed the path after the code 
again)

Best wishes, 
Arne
--
singing a part of the history of free software: 

- http://infinite-hands.draketo.de